FreeBSD : squirrelmail -- XSS in HTML filter (0e575ed3-0764-11dc-a80b-0016179b2dd5)

Medium Nessus Plugin ID 25305


The remote FreeBSD host is missing a security-related update.


The SquirrelMail developers report :

Multiple cross-site scripting (XSS) vulnerabilities in the HTML filter in SquirrelMail 1.4.0 through 1.4.9a allow remote attackers to inject arbitrary web script or HTML via the (1) data: URI in an HTML e-mail attachment or (2) various non-ASCII character sets that are not properly filtered when viewed with Microsoft Internet Explorer.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 25305

File Name: freebsd_pkg_0e575ed3076411dca80b0016179b2dd5.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2007/05/25

Modified: 2014/08/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:squirrelmail, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2007/05/21

Vulnerability Publication Date: 2007/05/09

Reference Information

CVE: CVE-2007-1262

CWE: 79